Loading...
Searching...
No Matches
OBStereoUnit Struct Reference
Stereochemistry

`#include <openbabel/stereo/stereo.h>`

## Public Member Functions

| OBStereoUnit ()
| OBStereoUnit (OBStereo::Type _type, unsigned long _id, bool _para=false)

## Public Attributes

OBStereo::Type | type
unsigned long | id
bool | para

## Detailed Description

Struct representing a single stereogenic unit.

Since
  2.3

## Constructor & Destructor Documentation

## OBStereoUnit() [1/2]

OBStereoUnit | ( |  | ) |

inline

Default constructor creating an invalid OBStereoUnit. The unit can be made valid by setting the type, id and para data members.

## OBStereoUnit() [2/2]

OBStereoUnit | ( | OBStereo::Type | _type,
|  | unsigned long | _id,
|  | bool | _para = false )

inline

Constructor specifying all data to create a valid OBStereoUnit.

## Member Data Documentation

## type

OBStereo::Type type

the type for this stereogenic unit

Referenced by OBStereoUnit(), and OBStereoUnit().

## id

unsigned long id

Referenced by OBStereoUnit(), and OBStereoUnit().

## para

bool para

the atom/bond (depends on type) unique id

Referenced by OBStereoUnit(), and OBStereoUnit().

The documentation for this struct was generated from the following file:

- stereo.h